<div class="container-fluid">
  <div class="row">
    <div class="col-12">
      <div class="card mt-3 mb-4">
        <div class="card-body table-responsive">
          <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
              <label> Nombre:</label>
              <input
                type="text"
                (keypress)="omit_special_char($event)"
                pattern="^[a-zA-Z][a-zA-Z\s]+$"
                class="form-control"
                formControlName="name"
                required
              />
            </div>
            <div class="form-group">
              <label> Apellido:</label>
              <input
                type="text"
                (keypress)="omit_special_char($event)"
                pattern="^[a-zA-Z][a-zA-Z\s]+$"
                class="form-control"
                formControlName="family_name"
                required
              />
            </div>
            <div class="form-group">
              <label> Email:</label>
              <input type="email" class="form-control" formControlName="email" />
            </div>
            <div class="form-group">
              <label> Teléfono:</label>
              <input
                type="number"
                onKeyDown="if(this.value.length==10) return false;"
                max="9999999999"
                class="form-control"
                formControlName="phone"
              />
            </div>

            <div class="form-group" *ngIf="programsList">
              <label> Programa de interés:</label>
              <select class="form-control" formControlName="program">
                <option [ngValue]="pro.id" *ngFor="let pro of programsList">
                  {{ pro.name }}
                </option>
              </select>
            </div>

            <div class="form-group">
              <label> Comentario:</label>
              <textarea
                class="form-control"
                id="exampleFormControlTextarea1"
                rows="3"
                formControlName="comment"
              ></textarea>
            </div>

            <button
              type="submit"
              class="btn btn-primary mt-2"
              [disabled]="!registerForm.valid"
            >
              Registrar
            </button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
